#include "deftype.h"
#include "aigtext.h"

void waku2(int sx,int sy,int ex,int ey,int plane,unsint ptrn)
/* 枠描画２ */
#if 0
int sx,sy,ex,ey; /* グラフィック座標 */
int plane;	 /* 描画プレーン */
unsint ptrn;	 /* 線分パターン */
#endif
{
unint c;
int wx,wy,f;
	c=curmode(0);	/* cursor off */
	// メイン枠
	wx=ex-sx+1;
	wy=ey-sy+1;
	f=((plane&0x0f00)>>8);	// 影付き枠線モード
	plane&=0xf0ff;
	txbox(plane,sx,sy,wx,wy,ptrn);
	if (wx>=16 && wy>=16) {
		// 影
		txxline(plane,sx+8,ey+f,wx-8+f  ,ptrn);
		txyline(plane,ex+f,sy+8,wy-8+f-1,ptrn);
	}
	curmode(c);	/* cursor on */
}

#if 0
void main()
{
int sx,sy,ex,ey;
unchar *wget=NULL;
	sx=10; sy=10; ex=25; ey=25;
	// 0x8003=同時アクセス白(plane0,1)
	// 0x0200=影２
	waku2(sx*8,sy*16,ex*8,ey*16,0x8203,0xffff);
//	waku2(300,100,500,200,0x200,0xffff);
//	move_area(&sx,&sy,&ex,&ey,NULL,1,0,0,95,31);
}
#endif
